"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const checkCommandInputs_1 = require("../../helpers/checkCommandInputs");
const config_1 = require("../../helpers/config");
class RemoveCommand extends command_1.Command {
    async run() {
        const { args, flags } = this.parse(RemoveCommand);
        if (checkCommandInputs_1.isEmptyCommand(flags, args)) {
            this._help();
            this.exit(1);
        }
        const { name } = args;
        const abis = config_1.getAbis();
        if (abis[name]) {
            delete abis[name];
            config_1.updateAbis(abis);
        }
        else {
            this.warn(`No ABI found for '${name}'`);
        }
    }
}
exports.RemoveCommand = RemoveCommand;
RemoveCommand.description = 'Remove a known ABI';
RemoveCommand.args = [
    {
        name: 'name',
        required: false,
        description: 'Name of the ABI to remove',
    },
];
RemoveCommand.aliases = ['abi:rm'];
RemoveCommand.examples = ['eth abi:rm erc777'];
