"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const cli_ux_1 = require("cli-ux");
const checkCommandInputs_1 = require("../../helpers/checkCommandInputs");
class RandomCommand extends command_1.Command {
    async run() {
        const { args, flags } = this.parse(RandomCommand);
        if (checkCommandInputs_1.isEmptyCommand(flags, args)) {
            this._help();
            this.exit(1);
        }
        const { amount = '1' } = args;
        const { prefix = '' } = flags;
        const amountNumber = parseInt(amount, 10);
        try {
            const { randomAddress } = await Promise.resolve().then(() => __importStar(require('../../helpers/randomAddress')));
            randomAddress(amountNumber, prefix).forEach(({ address, privateKey }) => cli_ux_1.cli.styledJSON({ address, privateKey }));
        }
        catch (e) {
            this.error(e.message, { exit: 1 });
        }
    }
}
exports.RandomCommand = RandomCommand;
RandomCommand.description = `Prints a random Ethereum checksum address with its Private Key.`;
RandomCommand.args = [
    {
        name: 'amount',
        required: false,
        default: '1',
        description: 'Can be specified to generate a list of addresses.',
    },
];
RandomCommand.flags = {
    prefix: command_1.flags.string(),
};
RandomCommand.examples = ['eth randomAddress 10 fd', 'eth randomAddress 2'];
RandomCommand.aliases = ['ra'];
