"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const command_1 = require("@oclif/command");
const cli_ux_1 = tslib_1.__importDefault(require("cli-ux"));
const checkCommandInputs_1 = require("../../helpers/checkCommandInputs");
const config_1 = require("../../helpers/config");
class ShowCommand extends command_1.Command {
    async run() {
        const { args, flags } = this.parse(ShowCommand);
        if (checkCommandInputs_1.isEmptyCommand(flags, args)) {
            this._help();
            this.exit(1);
        }
        const { name } = args;
        const addresses = config_1.getAddresses();
        if (addresses[name]) {
            cli_ux_1.default.styledJSON(addresses[name]);
        }
        else {
            this.warn(`No address found for '${name}'`);
        }
    }
}
exports.ShowCommand = ShowCommand;
ShowCommand.description = 'Displays a known address';
ShowCommand.args = [
    {
        name: 'name',
        required: false,
        description: 'Name of the address to get',
    },
];
ShowCommand.examples = ['eth address:get ganache1'];
