"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const checkCommandInputs_1 = require("../../helpers/checkCommandInputs");
class SearchCommand extends command_1.Command {
    async run() {
        const { args, flags } = this.parse(SearchCommand);
        if (checkCommandInputs_1.isEmptyCommand(flags, args)) {
            this._help();
            this.exit(1);
        }
        try {
            const { hexSignature } = args;
            const { searchSignature } = await Promise.resolve().then(() => __importStar(require('../../helpers/searchSignature')));
            const result = await searchSignature(hexSignature);
            result.forEach((signature) => this.log(signature));
        }
        catch (e) {
            this.error(e.message, { exit: 1 });
        }
    }
}
exports.default = SearchCommand;
SearchCommand.description = `Search the given hashed method signature using the 4byte.directory API`;
SearchCommand.args = [
    {
        name: 'hexSignature',
        required: false,
        description: 'The hash of the function signature.',
    },
];
SearchCommand.examples = [`eth method:search a9059cbb`];
