"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const checkCommandInputs_1 = require("../../helpers/checkCommandInputs");
const config_1 = require("../../helpers/config");
class RemoveCommand extends command_1.Command {
    async run() {
        const { args, flags } = this.parse(RemoveCommand);
        if (checkCommandInputs_1.isEmptyCommand(flags, args)) {
            this._help();
            this.exit(1);
        }
        const { name } = args;
        const networks = config_1.getNetworks();
        if (networks[name]) {
            delete networks[name];
            config_1.updateNetworks(networks);
        }
        else {
            this.warn(`No network found for '${name}'`);
        }
    }
}
exports.RemoveCommand = RemoveCommand;
RemoveCommand.description = 'Remove a known network';
RemoveCommand.args = [
    {
        name: 'name',
        required: true,
        description: 'Name of the network to remove',
    },
];
RemoveCommand.examples = ['eth network:remove rsk'];
