"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const web3_1 = tslib_1.__importDefault(require("web3"));
const config_1 = require("./config");
const utils_1 = require("./utils");
async function contractCall(abiPath, methodCall, name, url) {
    const { methodValid, methodName } = utils_1.evaluateMethodCallStructure(methodCall);
    if (!methodValid) {
        throw new Error('[encode] methodCall invalid structure');
    }
    const abi = utils_1.loadABI(abiPath);
    const matchingMethods = utils_1.extractMethodsAndEventsFromABI(abi).filter(x => x.name === methodName);
    if (matchingMethods.length > 1) {
        throw new Error('[encode] function overloading is not supported in the current version');
    }
    if (!matchingMethods.length) {
        throw new Error('[encode] method specified does not exist in the ABI file provided');
    }
    const web3 = new web3_1.default(new web3_1.default.providers.HttpProvider(url));
    const networkId = await web3.eth.net.getId();
    const address = config_1.getAddress(name, String(networkId));
    // `contract` is being used as part of the eval call
    // tslint:disable-next-line:no-unused
    const contract = new web3.eth.Contract(abi, address);
    // tslint:disable-next-line:no-eval
    return eval(`contract.methods.${methodCall}.call()`);
}
exports.contractCall = contractCall;
