"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("./utils");
exports.randomAddress = (amount, prefix) => {
    if (isNaN(amount) || amount === 0) {
        throw new Error('[random-address] amount must be an integer number and greater than 0');
    }
    const maybePrefix = utils_1.evaluatePrefix(prefix);
    if (maybePrefix === null) {
        throw new Error('[random-address] prefix must be a valid hex value');
    }
    const findAccount = utils_1.generateAccount(maybePrefix);
    return utils_1.range(amount)
        .map(() => findAccount())
        .map(({ address, privateKey }) => ({ address, privateKey }));
};
